# $Revision: 1.22 $, $Date: 2002/07/17 17:45:43 $
Summary:	Java language and development support
Summary(pl):	Wsparcie dla jzyka i programowania w Javie
Name:		xemacs-jde-pkg
%define 	srcname	jde
Version:	1.35
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-cc-mode-pkg
Requires:	xemacs-debug-pkg
Requires:	xemacs-speedbar-pkg
Requires:	xemacs-edit-utils-pkg
Requires:	xemacs-eterm-pkg
Requires:	xemacs-mail-lib-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Java Development Environment (JDE) is an Emacs Lisp package that
interfaces Emacs to third-party Java application development tools,
such as those provided by JavaSoft's Java Development Kit (JDK). The
result is an integrated development environment (IDE) comparable in
power to many commercial Java IDEs.

%description -l pl
JDE (Java Development Environment) to pakiet Emacsa dodajcy interfejs
do narzdzi programistycznych do Javy innych producentw, takich jak
JDK (Java Development Kit) JavaSoftu. Rezultatem jest zintegroawane
rodowisko programisty porwnywalne do wielu komercyjnych IDE.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/jde/ChangeLog
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-jde-pkg.spec,v $
Revision 1.22  2002/07/17 17:45:43  kloczek
- updated to 1.34 and use new %doc.

Revision 1.21  2002/04/19 09:11:08  wiget
updated to 1.34

Revision 1.20  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.19  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/17 19:30:49  kloczek
- updated to 1.32.

Revision 1.16  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/20 13:43:39  qboosh
- pl description, release 2

Revision 1.14  2001/09/21 08:16:00  mis
- autoupdated to 1.30

Revision 1.13  2001/08/02 08:38:00  mis
- autoupdated to 1.27

Revision 1.12  2001/06/25 06:42:05  kloczek
- adapterized.

Revision 1.11  2001/05/11 18:48:14  mis
- autoupdated to 1.26

Revision 1.10  2001/02/13 18:18:51  mis
- updated to 1.24

Revision 1.9  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/21 19:48:11  kloczek
- spec adapterized.

Revision 1.6  2000/04/04 16:03:20  kloczek
- added %description.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:39:37  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
